Index: contrib/crossrpms/rtems4.8/arm/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/arm/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/arm/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/avr/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/avr/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/avr/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/bfin/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/bfin/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/cpukit-prep.add
===================================================================
--- contrib/crossrpms/rtems4.8/cpukit-prep.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/cpukit-prep.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,1 @@
+
Index: contrib/crossrpms/rtems4.8/cpukit.am
===================================================================
--- contrib/crossrpms/rtems4.8/cpukit.am	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/cpukit.am	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,35 @@
+EXTRA_DIST += $(srcdir)/../rtems-prep.add
+EXTRA_DIST += $(srcdir)/rtems-sources.add
+
+CPUKIT_OPTS =
+
+CPUKIT_SUBPACKAGES = $(top_srcdir)/common/common.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/cpukit.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/prep.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/build.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/install.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/rpm-install.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/common/clean.add
+CPUKIT_SUBPACKAGES += $(top_srcdir)/cpukit/target-cpukit.add
+
+$(TARGET)-cpukit.spec.in: $(CPUKIT_SUBPACKAGES) Makefile.am $(srcdir)/cpukit-sources.add $(srcdir)/../cpukit-prep.add
+	cat $(CPUKIT_SUBPACKAGES) | sed \
+	  -e "/[@]SOURCES[@]/r $(srcdir)/cpukit-sources.add" \
+	  -e "/[@]SOURCES[@]/d" \
+	  -e "/[@]PREP[@]/r $(srcdir)/../cpukit-prep.add" \
+	  -e "/[@]PREP[@]/d" \
+	  -e "s/[@]CPUKIT_VERS[@]/$(CPUKIT_VERS)/g" \
+	  -e "s/[@]CPUKIT_PKGVERS[@]/$(CPUKIT_PKGVERS)/g" \
+	  -e "s/[@]CPUKIT_RPMREL[@]/$(CPUKIT_RPMREL)/g" \
+	  -e "/--with-sysroot/d" \
+	  -e "/[@]tool_target[@]-sys-root/d" \
+	  -e "/[@]tool_target[@]-w32api-sys-root/d" \
+	  | $(MKSPEC0) > $(TARGET)-cpukit.spec.in
+CLEANFILES += $(TARGET)-cpukit.spec.in
+
+@rpmprefix@$(TARGET)-cpukit.spec: $(TARGET)-cpukit.spec.in
+	$(MKSPEC) $(TARGET)-cpukit.spec.in | $(SPECSTRIP) $(CPUKIT_OPTS) > $@
+CLEANFILES += @rpmprefix@$(TARGET)-cpukit.spec
+noinst_DATA += @rpmprefix@$(TARGET)-cpukit.spec
+
+EXTRA_DIST += $(CPUKIT_SUBPACKAGES)
Index: contrib/crossrpms/rtems4.8/h8300/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/h8300/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/i386/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/i386/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/i386/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/m68k/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/m68k/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/mips/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/mips/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/mips/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/powerpc/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/powerpc/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/sh/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sh/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/sh/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/sparc/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/sparc/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.8/tic4x/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/tic4x/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
+++ contrib/crossrpms/rtems4.8/tic4x/cpukit-sources.add	(revision 6bdfa7a9e649df21d324355d6f50abd8355b8e4b)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
